import {IsNotEmpty, IsOptional} from "class-validator";

export class BaseAboutUsPageCmsDto {
    @IsNotEmpty()
    pageTitle: string;

    @IsNotEmpty()
    pageSubTitle: string;

    @IsNotEmpty()
    buttonText: string;

    @IsNotEmpty()
    buttonLink: string;

    @IsNotEmpty()
    sectionOneTitle: string;

    @IsNotEmpty()
    sectionOneSubTitle: string;

    @IsNotEmpty()
    sectionTwoTitle: string;

    @IsOptional()
    heroBackgroundImage: string;

    @IsOptional()
    leaderBackgroundImage: string;
    
    @IsOptional()
    videoLink: string;
}