import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("event_schedule")
export class EventScheduleEntity extends CoreEntity {
    @Column({ nullable: true, default: null })
    eventName: string;

    @Column({ nullable: true, default: null })
    startTime: Date;

    @Column({ nullable: true, default: null })
    endTime: Date;

    @Column({ nullable: true, default: null })
    description: string;

    @Column()
    transactionId: string;

    @Column({ nullable: true, default: true })
    isModified: boolean;
}
