import {IsEmpty, IsNotEmpty} from "class-validator";

export class UpdateUserDto {
    @IsNotEmpty()
    firstName: string;

    @IsNotEmpty()
    lastName: string;

    @IsNotEmpty()
    email: string;

    @IsNotEmpty()
    password: string;

    @IsEmpty()
    phone: string;

    @IsEmpty()
    image: any;

    @IsNotEmpty()
    role: number;

    @IsNotEmpty()
    userType: string;

    @IsEmpty()
    companyName: string;

    @IsEmpty()
    streetAddress: string;

    @IsEmpty()
    city: string;

    @IsEmpty()
    state: string;

    @IsEmpty()
    postalCode: string;
}
