import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("home_page_hero_section_cms")
export class HomePageHeroSectionCmsEntity extends CoreEntity {
    @Column({default: null, nullable: true})
    title: string;

    @Column({default: null, nullable: true})
    subTitle: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    description: string;

    @Column({default: null, nullable: true})
    buttonOneText: string;

    @Column({default: null, nullable: true})
    buttonOneLink: string;

    @Column({default: null, nullable: true})
    buttonTwoText: string;

    @Column({default: null, nullable: true})
    buttonTwoLink: string;

    @Column({default: null, nullable: true})
    overviewImage: string;
}
