import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity('career_model')
export class CareerModelEntity extends CoreEntity {
    @Column({default: null, nullable: true})
    locationType: string;

    @Column({default: null, nullable: true})
    team: string;

    @Column({default: null, nullable: true})
    title: string;

    @Column({default: null, nullable: true})
    address: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    description: string;

    @Column({default: null, nullable: true})
    salary: string;
}
